MaillyDocs

Create or update the delivery-event webhook

PUT
/delivery-webhook

url must be public HTTPS (no credentials, custom ports, or private networks). Use either signingSecret (32-256 characters) or rotateSecret; the first setup or rotateSecret returns the newly generated secret.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Request Body

application/json
  1. body
url?string

Webhook URL

events?array<string>

Event types to subscribe to; all by default

active?boolean
signingSecret?string
rotateSecret?boolean
[key: string]?unknown

Response Body

Updated

application/json
  1. response
success*boolean
webhook*
signingSecret?string
[key: string]?unknown
curl -X PUT 'https://api.mailly.site/delivery-webhook' \  -H 'Content-Type: application/json' \  -d '{  "property1": null,  "property2": null}'
{  "success": true,  "webhook": {    "property1": null,    "property2": null  },  "signingSecret": "string",  "property1": null,  "property2": null}